%define version 0.14.91
%define name drwright
%define release 1mdk

Summary: A program that reminds you to take wrist breaks
Name: drwright
Version: 0.14.91
Release: 1mdk
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: Toys
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Url: http://drwright.codefactory.se/

BuildRequires: libglade2.0_0-devel
BuildRequires: libgnomeui2_0-devel
%description
DrWright is a program that forces you to take wrist breaks to rest your hands.
%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Office/Accessories" \
	title="DrWright" \
	longtitle="Take care of your hands" \
	command="%{_bindir}/drwright" \
	icon="office_accessories_section.png " \
	startup_notify="false"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/drwright.schemas > /dev/null
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%config(noreplace) %{_sysconfdir}/gconf/schemas/drwright.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/drwright
%{_menudir}/*

%changelog
* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.91-1mdk
- Initial Mandrake package from Jean Schurger <yshark@schurger.org> :
  - append -f %{name}.lang to the %files line works with find_lang
  - remove %{_datadir} /locale/sv/LC_MESSAGES/drwright.mo from %files
  - because it's done with find_lang

* Wed Oct 9 2002 Richard Hult <rhult@codefactory.se>
- Generate spec file from drwright.spec.in.

* Fri Aug 23 2002 Anders Carlsson <andersca@gnu.org>
- Initial build.


